Bug 968367 - Keyboard shortcuts doesn't work for russian keyboard layout
Keyboard shortcuts doesn't work for russian keyboard layout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-29 10:36 EDT by glad08
Modified: 2014-02-05 18:10 EST (History)
15 users (show)

See Also:
Fixed In Version: qt-4.8.5-8.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:10:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 320423 None None None Never
Qt Bug Tracker QTBUG-15319 None None None Never
Qt Bug Tracker QTBUG-32908 None None None Never

  None (edit)
Description glad08 2013-05-29 10:36:05 EDT
Description of problem:

Keyboard shortcuts like Ctrl-C, Ctrl-V does not work in some apps like kate and kdevelop, krusader when russian keyboard layout is active


Version-Release number of selected component (if applicable): kate 3.10.3, kde 4.10.3, kdevelop 4.5.0


How reproducible: Always


Steps to Reproduce:
1. Open Kate, type some text
2. Switch layout to russian select some text and press Ctrl-C
3. Move cursor to another place and press Ctrl-V 


Actual results: text will not pasted into new place


Expected results: text successfully copies to clipboard and then pasted into new place


Additional info: Can be reproduced in kde apps when it runs either from kde or from mate desktop. Does not reproduces for non-kde applications like firefox
Comment 1 Rex Dieter 2013-05-29 10:41:27 EDT
How are you changing layout?  Via systemsettings->input devices->keyboard->layouts(tab)?
Comment 2 glad08 2013-05-29 13:03:22 EDT
yes
Comment 3 Lukáš Tinkl 2013-07-02 15:19:09 EDT
This should be fixed with Qt 4.8.5

cf https://bugreports.qt-project.org/browse/QTBUG-15319
Comment 4 Lukáš Tinkl 2013-08-07 12:30:41 EDT
*** Bug 986690 has been marked as a duplicate of this bug. ***
Comment 6 Rex Dieter 2013-08-07 12:38:18 EDT
and corresponding f19 update,
https://admin.fedoraproject.org/updates/FEDORA-2013-13133/qt-4.8.5-5.fc19
Comment 7 Rex Dieter 2013-08-07 12:40:19 EDT
*** Bug 986690 has been marked as a duplicate of this bug. ***
Comment 8 Rex Dieter 2013-08-07 12:40:38 EDT
Hrm, several upstream comments in 
https://bugs.kde.org/show_bug.cgi?id=320423
claim this is still a problem with qt-4.8.5, re-opening.
Comment 9 Vasiliy Glazov 2013-09-04 06:28:45 EDT
Please, apply this patch https://codereview.qt-project.org/#change,64283
Patch checked, it works.
Comment 10 Ivan Romanov 2013-09-12 10:31:23 EDT
The patch was approved. Please apply this ASAP.
Comment 11 Rex Dieter 2013-09-12 11:06:18 EDT
%changelog
* Thu Sep 12 2013 Rex Dieter <rdieter@fedoraproject.org> 4.8.5-8
- Keyboard shortcuts doesn't work for russian keyboard layout (#968367, QTBUG-32908)
Comment 12 Vasiliy Glazov 2013-09-13 06:02:44 EDT
Problem solved in qt-4.8.5-8. Thanks.
Comment 13 Ivan Romanov 2013-09-14 04:07:29 EDT
Works for me too. Thanks.
Comment 14 Fedora Update System 2013-09-16 16:57:02 EDT
qt-4.8.5-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qt-4.8.5-8.fc20
Comment 15 Fedora Update System 2013-09-16 16:57:34 EDT
qt-4.8.5-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qt-4.8.5-8.fc19
Comment 16 Fedora Update System 2013-09-16 16:58:09 EDT
qt-4.8.5-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qt-4.8.5-8.fc18
Comment 17 Fedora Update System 2013-09-17 14:17:11 EDT
Package qt-4.8.5-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qt-4.8.5-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16976/qt-4.8.5-8.fc20
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2013-09-18 09:09:56 EDT
qt-4.8.5-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2013-09-22 20:20:14 EDT
qt-4.8.5-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 glad08 2013-09-23 08:23:57 EDT
works for me after updating to qt-4.8.5-8 from updates-testing on Fedora 19
Comment 21 Fedora Update System 2013-09-24 18:54:17 EDT
qt-4.8.5-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 glad08 2013-09-25 04:57:51 EDT
Problem is still persist.
If first layout is non-english, then shortcuts doesn't work.
Work only if English layout is first.
Comment 23 vdm 2013-11-08 09:17:49 EST
Still not working on Fedora 19, but i'm not sure now about language order. I'll check it and clarify here.
Comment 24 Mikhail Veltishchev 2013-11-08 09:26:59 EST
My first layout is English, but it still does not work.
qt-4.8.5-10.fc19
Comment 25 Fedora End Of Life 2013-12-21 10:32:05 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 26 Fedora End Of Life 2014-02-05 18:10:22 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.